| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Attributes | Properties | Private Attributes | List of all members
IG.Num.OptimizationResultsBase Class Reference

Base class for storage of optimization results. Stores optimal analysis results, best current guess, etc. More...

Inheritance diagram for IG.Num.OptimizationResultsBase:
[legend]
Collaboration diagram for IG.Num.OptimizationResultsBase:
[legend]

## Public Member Functions
virtual void | SetOptimizationData (IOptimizationData data)
| Sets the optimization data where information about optimization problem and algorithm parameters can be obtained. More...

## Protected Attributes
bool | _calculated = false
bool | _keepCurrentGuess = false
bool | _keepBestGuess = false
IAnalysisResults | _buestGuess = null

## Properties
virtual IOptimizationData | OptimizationData`[get, set]`
| Gets optimization data used when producing the current results. More...
bool | CopyReferences`[get]`
| Gets a flag indicating whether references should be copied. More...
bool | Calculated`[get, set]`
virtual IAnalysisResults | Results`[get, set]`
| Optimization results. More...
virtual bool | KeepCurrentGuess`[get, set]`
| Whether current guess is kept or not. More...
virtual IAnalysisResults | CurrentGuess`[get, protected set]`
| Results of the current guess (usually last analysis that has been performed). More...
virtual bool | KeepBestGuess`[get, set]`
| Whether best results are kept or not. More...
virtual IAnalysisResults | BestGuess`[get, protected set]`
| The best results so far. More...

## Private Attributes
IOptimizationData | _optimizationData
IAnalysisResults | _results
IAnalysisResults | _currentGuess = null

## Detailed Description

Base class for storage of optimization results. Stores optimal analysis results, best current guess, etc.

Properties on this kind of classes usually have public getters and setters. It is a habit to protect the whole object inside another class, and access individual components by properties and methods that can be more restrictive.

$A Igor Feb08 Jun08;

## Member Function Documentation

virtual void IG.Num.OptimizationResultsBase.SetOptimizationData | ( | IOptimizationData | data | ) |
| inline virtual

Sets the optimization data where information about optimization problem and algorithm parameters can be obtained.

Parameters

  data |

## Member Data Documentation

IOptimizationData IG.Num.OptimizationResultsBase._optimizationData
| private

bool IG.Num.OptimizationResultsBase._calculated = false
| protected

IAnalysisResults IG.Num.OptimizationResultsBase._results
| private

bool IG.Num.OptimizationResultsBase._keepCurrentGuess = false
| protected

IAnalysisResults IG.Num.OptimizationResultsBase._currentGuess = null
| private

bool IG.Num.OptimizationResultsBase._keepBestGuess = false
| protected

IAnalysisResults IG.Num.OptimizationResultsBase._buestGuess = null
| protected

## Property Documentation

virtual IOptimizationData IG.Num.OptimizationResultsBase.OptimizationData
| get set

Gets optimization data used when producing the current results.

Protected internal setter.

bool IG.Num.OptimizationResultsBase.CopyReferences
| get

Gets a flag indicating whether references should be copied.

bool IG.Num.OptimizationResultsBase.Calculated
| get set

virtual IAnalysisResults IG.Num.OptimizationResultsBase.Results
| get set

Optimization results.

virtual bool IG.Num.OptimizationResultsBase.KeepCurrentGuess
| get set

Whether current guess is kept or not.

virtual IAnalysisResults IG.Num.OptimizationResultsBase.CurrentGuess
| get protected set

Results of the current guess (usually last analysis that has been performed).

virtual bool IG.Num.OptimizationResultsBase.KeepBestGuess
| get set

Whether best results are kept or not.

virtual IAnalysisResults IG.Num.OptimizationResultsBase.BestGuess
| get protected set

The best results so far.

The documentation for this class was generated from the following file:

- igbase/optimization/OptimizationResults.cs